Subject: Some problem to compile (build) the lib
From: Jaakov Berkovitch <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Sun, 27 Feb 2000 12:05:31 +0200

Hi,

I'm right now downloaded the last (current) version from
ftp://ftp.ibr.cs.tu-bs.de/pub/local/libsmi/libsmi-current.tar.gz .

I got some problem after running the make :
	the scanner-smi.c failed on the line 149 : undefined symbol: parser.
	This error is general on all the scanner-smi.c.

Here is my environment:
	Solaris 2.6 / SUN compiler 4.2 / bison / flex.

Here is the output of the compilation:

make  all-recursive
Making all in lib
/bin/sh ../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I..     -g -c
scanner-smi.c
rm -f .libs/scanner-smi.lo
cc -DHAVE_CONFIG_H -I. -I. -I.. -g -c  -KPIC -DPIC scanner-smi.c -o
scanner-smi.o
"scanner-smi.l", line 149: undefined symbol: parser
"scanner-smi.l", line 151: undefined symbol: lvalp
"scanner-smi.l", line 151: cannot dereference non-pointer type
"scanner-smi.l", line 151: warning: left operand of "." must be struct/union
object
"scanner-smi.l", line 156: undefined symbol: parser
"scanner-smi.l", line 160: undefined symbol: parser
"scanner-smi.l", line 164: undefined symbol: parser

Thanks for all.

Regards

Yaakov Berkovitch

Tel:	+972 3 6945298
Email:	[email-masked]
Web:	http://www.orckit.com

--
!! This message is brought to you via the `libsmi' mailing list.
!! Please do not reply to this message to unsubscribe. To subscribe or
!! unsubscribe, send a mail message to <[email-masked]>.
!! See http://www.ibr.cs.tu-bs.de/projects/libsmi/ for more information.